%define upstream_name    CHI
%define upstream_version 0.45

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Nothing is cached
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Assert) >= 0.200.0
BuildRequires: perl(Data::UUID)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(Digest::JHash)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(Hash::MoreUtils)
BuildRequires: perl(JSON)
BuildRequires: perl(List::MoreUtils) >= 0.130.0
BuildRequires: perl(Log::Any) >= 0.80.0
BuildRequires: perl(Moose) >= 0.660.0
BuildRequires: perl(Storable)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Class)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Time::Duration) >= 1.60.0
BuildRequires: perl(Time::Duration::Parse) >= 0.30.0
BuildRequires: perl(Try::Tiny) >= 0.50.0
BuildRequires: perl-Log-Any-Adapter
BuildArch:  noarch

%description
CHI provides a unified caching API, designed to assist a developer in
persisting data for a specified period of time.

The CHI interface is implemented by driver classes that support fetching,
storing and clearing of data. Driver classes exist or will exist for the
gamut of storage backends available to Perl, such as memory, plain files,
memory mapped files, memcached, and DBI.

CHI is intended as an evolution of DeWitt Clinton's Cache::Cache package,
adhering to the basic Cache API but adding new features and addressing
limitations in the Cache::Cache implementation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Apr 19 2011 jquelin <jquelin> 0.450.0-1.mga1
+ Revision: 88493
- update to 0.45

* Fri Mar 18 2011 jquelin <jquelin> 0.440.0-1.mga1
+ Revision: 74121
- update to 0.44

* Wed Mar 09 2011 jquelin <jquelin> 0.420.0-1.mga1
+ Revision: 67066
- update to 0.42

* Wed Mar 02 2011 jquelin <jquelin> 0.400.0-1.mga1
+ Revision: 62644
- update to 0.40

* Wed Feb 16 2011 jquelin <jquelin> 0.390.0-1.mga1
+ Revision: 52472
- update to 0.39

* Wed Jan 26 2011 jquelin <jquelin> 0.360.0-3.mga1
+ Revision: 40241
- mageia rebuild
- imported package perl-CHI


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.360.0-3mdv2011.0
+ Revision: 625064
- Trying to fix the deps
- Add a missing build requires
- import perl-CHI

